<html lang="en">

<head>
    <meta charset="utf-8">
    <title>CRUD NodeJS dan MySQL</title>
    <link href="/assets/css/bootstrap.css" rel="stylesheet" type="text/css" />
</head>

<body>
    <div class="container">
        <h2>Product List</h2>
        <button class="btn btn-success" data-toggle="modal" data-target="#myModalAdd">Add New</button>
        <table class="table table-striped" id="mytable">
            <thead>
                <tr>
                    <th>Product ID</th>
                    <th>Product Name</th>
                    <th>Price</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                {{#each results}}
                <tr>
                    <td>{{ product_id }}</td>
                    <td>{{ product_name }}</td>
                    <td>{{ product_price }}</td>
                    <td>
                        <a href="javascript:void(0);" class="btn btn-sm btn-info edit" data-id="{{ product_id }}"
                            data-product_name="{{ product_name }}" data-product_price="{{ product_price }}">Edit</a>
                        <a href="javascript:void(0);" class="btn btn-sm btn-danger delete"
                            data-id="{{ product_id }}">Delete</a>
                    </td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </div>

    <!-- Add New Product Modal-->
    <form action="/save" method="post">
        <div class="modal fade" id="myModalAdd" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Add New Product</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <input type="text" name="product_name" class="form-control" placeholder="Product Name"
                                required>
                        </div>

                        <div class="form-group">
                            <input type="text" name="product_price" class="form-control" placeholder="Price" required>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </form>

    <!-- Edit Product Modal-->
    <form action="/update" method="post">
        <div class="modal fade" id="EditModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Edit Product</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <input type="text" name="product_name" class="form-control product_name"
                                placeholder="Product Name" required>
                        </div>

                        <div class="form-group">
                            <input type="text" name="product_price" class="form-control price" placeholder="Price"
                                required>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="id" class="product_id">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Update</button>
                    </div>
                </div>
            </div>
        </div>
    </form>

    <!-- Delete Product Modal-->
    <form id="add-row-form" action="/delete" method="post">
        <div class="modal fade" id="DeleteModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
            aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="myModalLabel">Delete Product</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                    </div>
                    <div class="modal-body">
                        <strong>Are You Sure To Delete This Data?</strong>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="product_id" class="form-control product_id2" required>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-success">Delete</button>
                    </div>
                </div>
            </div>
        </div>
    </form>

    <script src="/assets/js/jquery-3.5.1.js"></script>
    <script src="/assets/js/bootstrap.js"></script>
    <script>
        $(document).ready(function () {
            //showing data to modal for edit record
            $('#mytable').on('click', '.edit', function () {
                var product_id = $(this).data('id');
                var product_name = $(this).data('product_name');
                var product_price = $(this).data('product_price');
                $('#EditModal').modal('show');
                $('.product_name').val(product_name);
                $('.price').val(product_price);
                $('.product_id').val(product_id);
            });
            //showing modal for delete record
            $('#mytable').on('click', '.delete', function () {
                var product_id = $(this).data('id');
                $('#DeleteModal').modal('show');
                $('.product_id2').val(product_id);
            });

        });
    </script>
</body>

</html>